aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2002-10-18 05:05:55 +0000
committerUlrich Drepper <drepper@redhat.com>2002-10-18 05:05:55 +0000
commit8dd8681f4a07d49d6bc01aff37b64003e1b7df0d (patch)
tree4cb0c75c591eb5a1caf493bd8f07c9846a41646e
parent126960c5c2292074062585bace76b9d4fbca959d (diff)
downloadglibc-8dd8681f4a07d49d6bc01aff37b64003e1b7df0d.tar
glibc-8dd8681f4a07d49d6bc01aff37b64003e1b7df0d.tar.gz
glibc-8dd8681f4a07d49d6bc01aff37b64003e1b7df0d.tar.bz2
glibc-8dd8681f4a07d49d6bc01aff37b64003e1b7df0d.zip
Update.
* sysdeps/powerpc/soft-fp/soft-supp.h: New file.
-rw-r--r--ChangeLog1
-rwxr-xr-xsysdeps/i386/elf/configure30
-rwxr-xr-xsysdeps/unix/common/configure177
-rw-r--r--sysdeps/unix/sysv/linux/configure91
4 files changed, 197 insertions, 102 deletions
diff --git a/ChangeLog b/ChangeLog
index 59c48b6ecf..660f0023f6 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -55,6 +55,7 @@
* sysdeps/powerpc/soft-fp/feholdexcpt.c: New file.
* sysdeps/powerpc/soft-fp/fenv_const.c: New file.
* sysdeps/powerpc/soft-fp/libm-test-ulps: New file.
+ * sysdeps/powerpc/soft-fp/soft-supp.h: New file.
* sysdeps/powerpc/soft-fp/Versions: Add libgcc soft-float
symbols. Add __sim_disabled_exceptions, __sim_exceptions,
__sim_round_mode.
diff --git a/sysdeps/i386/elf/configure b/sysdeps/i386/elf/configure
index 03f16fc798..a7ff07bfac 100755
--- a/sysdeps/i386/elf/configure
+++ b/sysdeps/i386/elf/configure
@@ -1,12 +1,15 @@
+#! /bin/sh
+# This file is generated from configure.in by Autoconf. DO NOT EDIT!
+
# Local configure fragment for sysdeps/i386/elf.
if test "$usetls" != no; then
# Check for support of thread-local storage handling in assembler and
# linker.
-echo $ac_n "checking for i386 TLS support""... $ac_c" 1>&6
-echo "configure:8: checking for i386 TLS support" >&5
-if eval "test \"`echo '$''{'libc_cv_386_tls'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+echo "$as_me:$LINENO: checking for i386 TLS support" >&5
+echo $ECHO_N "checking for i386 TLS support... $ECHO_C" >&6
+if test "${libc_cv_386_tls+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.s <<\EOF
.section ".tdata", "awT", @progbits
@@ -24,24 +27,29 @@ baz: leal bar@TLSLDM(%ebx), %eax
movl %gs:(%ecx), %eax
movl %gs:bar@NTPOFF, %eax
EOF
-if { ac_try='${CC-cc} -c $CFLAGS conftest.s 1>&5'; { (eval echo configure:28: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; }; then
+if { ac_try='${CC-cc} -c $CFLAGS conftest.s 1>&5'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
libc_cv_386_tls=yes
else
libc_cv_386_tls=no
fi
rm -f conftest*
fi
-
-echo "$ac_t""$libc_cv_386_tls" 1>&6
+echo "$as_me:$LINENO: result: $libc_cv_386_tls" >&5
+echo "${ECHO_T}$libc_cv_386_tls" >&6
if test $libc_cv_386_tls = yes; then
- cat >> confdefs.h <<\EOF
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_TLS_SUPPORT 1
-EOF
+_ACEOF
fi
fi
-cat >> confdefs.h <<\EOF
+cat >>confdefs.h <<\_ACEOF
#define PI_STATIC_AND_HIDDEN 1
-EOF
+_ACEOF
diff --git a/sysdeps/unix/common/configure b/sysdeps/unix/common/configure
index acd4ef23fe..3c1f7f65ae 100755
--- a/sysdeps/unix/common/configure
+++ b/sysdeps/unix/common/configure
@@ -1,105 +1,170 @@
-
+#! /bin/sh
+# This file is generated from configure.in by Autoconf. DO NOT EDIT!
+
+
if test -z "$inhibit_glue"; then
# Find out what this system calls `sys_siglist'.
-echo $ac_n "checking for sys_siglist""... $ac_c" 1>&6
-echo "configure:7: checking for sys_siglist" >&5
-if eval "test \"`echo '$''{'ac_cv_check_symbol_sys_siglist'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+
+echo "$as_me:$LINENO: checking for sys_siglist" >&5
+echo $ECHO_N "checking for sys_siglist... $ECHO_C" >&6
+if test "${ac_cv_check_symbol_sys_siglist+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
- cat > conftest.$ac_ext <<EOF
-#line 12 "configure"
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
#include "confdefs.h"
-int main() {
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
extern char *sys_siglist[]; puts(*sys_siglist);
-; return 0; }
-EOF
-if { (eval echo configure:19: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
- rm -rf conftest*
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
ac_cv_check_symbol_sys_siglist=yes
else
- echo "configure: failed program was:" >&5
- cat conftest.$ac_ext >&5
- rm -rf conftest*
- ac_cv_check_symbol_sys_siglist=no
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_check_symbol_sys_siglist=no
fi
-rm -f conftest*
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
if test "$ac_cv_check_symbol_sys_siglist" = yes; then
ac_tr_symbol=`echo sys_siglist | tr '[a-z]' '[A-Z]'`
- cat >> confdefs.h <<EOF
+ cat >>confdefs.h <<_ACEOF
#define HAVE_${ac_tr_symbol} 1
-EOF
+_ACEOF
fi
-echo "$ac_t""$ac_cv_check_symbol_sys_siglist" 1>&6
-echo $ac_n "checking for _sys_siglist""... $ac_c" 1>&6
-echo "configure:40: checking for _sys_siglist" >&5
-if eval "test \"`echo '$''{'ac_cv_check_symbol__sys_siglist'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+echo "$as_me:$LINENO: result: $ac_cv_check_symbol_sys_siglist" >&5
+echo "${ECHO_T}$ac_cv_check_symbol_sys_siglist" >&6
+echo "$as_me:$LINENO: checking for _sys_siglist" >&5
+echo $ECHO_N "checking for _sys_siglist... $ECHO_C" >&6
+if test "${ac_cv_check_symbol__sys_siglist+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
- cat > conftest.$ac_ext <<EOF
-#line 45 "configure"
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
#include "confdefs.h"
-int main() {
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
extern char *_sys_siglist[]; puts(*_sys_siglist);
-; return 0; }
-EOF
-if { (eval echo configure:52: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
- rm -rf conftest*
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
ac_cv_check_symbol__sys_siglist=yes
else
- echo "configure: failed program was:" >&5
- cat conftest.$ac_ext >&5
- rm -rf conftest*
- ac_cv_check_symbol__sys_siglist=no
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_check_symbol__sys_siglist=no
fi
-rm -f conftest*
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
if test "$ac_cv_check_symbol__sys_siglist" = yes; then
ac_tr_symbol=`echo _sys_siglist | tr '[a-z]' '[A-Z]'`
- cat >> confdefs.h <<EOF
+ cat >>confdefs.h <<_ACEOF
#define HAVE_${ac_tr_symbol} 1
-EOF
+_ACEOF
fi
-echo "$ac_t""$ac_cv_check_symbol__sys_siglist" 1>&6
+echo "$as_me:$LINENO: result: $ac_cv_check_symbol__sys_siglist" >&5
+echo "${ECHO_T}$ac_cv_check_symbol__sys_siglist" >&6
# Find out the name of the table the system's <ctype.h> uses for character
# classification. This is used by sysdeps/unix/common/glue-ctype.c.
-echo $ac_n "checking ctype array name for glue""... $ac_c" 1>&6
-echo "configure:76: checking ctype array name for glue" >&5
-if eval "test \"`echo '$''{'libc_cv_ctype_glue'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+echo "$as_me:$LINENO: checking ctype array name for glue" >&5
+echo $ECHO_N "checking ctype array name for glue... $ECHO_C" >&6
+if test "${libc_cv_ctype_glue+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
for ctype in _ctype_ __ctype_ __ctype _ctype__ _ctype _locp; do
-cat > conftest.$ac_ext <<EOF
-#line 82 "configure"
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
#include "confdefs.h"
#include <ctype.h>
-int main() {
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
$ctype[13];
-; return 0; }
-EOF
-if { (eval echo configure:89: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
- rm -rf conftest*
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
libc_cv_ctype_glue="$ctype"; break
else
- echo "configure: failed program was:" >&5
- cat conftest.$ac_ext >&5
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
fi
-rm -f conftest*
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
done
fi
-echo "$ac_t""$libc_cv_ctype_glue" 1>&6
-cat >> confdefs.h <<EOF
+echo "$as_me:$LINENO: result: $libc_cv_ctype_glue" >&5
+echo "${ECHO_T}$libc_cv_ctype_glue" >&6
+cat >>confdefs.h <<_ACEOF
#define HAVE_`echo $libc_cv_ctype_glue | tr 'a-z' 'A-Z'` 1
-EOF
+_ACEOF
fi
diff --git a/sysdeps/unix/sysv/linux/configure b/sysdeps/unix/sysv/linux/configure
index fda05fe8f5..014d901b3c 100644
--- a/sysdeps/unix/sysv/linux/configure
+++ b/sysdeps/unix/sysv/linux/configure
@@ -1,3 +1,6 @@
+#! /bin/sh
+# This file is generated from configure.in by Autoconf. DO NOT EDIT!
+
# Local configure fragment for sysdeps/unix/sysv/linux.
# The Linux kernel headers can be found in
@@ -18,41 +21,50 @@ if test -n "$sysheaders"; then
OLD_CPPFLAGS=$CPPFLAGS
CPPFLAGS="$CPPFLAGS $SYSINCLUDES"
fi
-echo $ac_n "checking installed Linux kernel header files""... $ac_c" 1>&6
-echo "configure:23: checking installed Linux kernel header files" >&5
-if eval "test \"`echo '$''{'libc_cv_linux2010'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+echo "$as_me:$LINENO: checking installed Linux kernel header files" >&5
+echo $ECHO_N "checking installed Linux kernel header files... $ECHO_C" >&6
+if test "${libc_cv_linux2010+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
- cat > conftest.$ac_ext <<EOF
-#line 28 "configure"
+
+
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
#include "confdefs.h"
#include <linux/version.h>
#if !defined LINUX_VERSION_CODE || LINUX_VERSION_CODE < (2 *65536+ 0 *256+ 10) /* 2.0.10 */
eat flaming death
#endif
-EOF
+_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
egrep "eat flaming death" >/dev/null 2>&1; then
- rm -rf conftest*
libc_cv_linux2010='TOO OLD!'
else
- rm -rf conftest*
libc_cv_linux2010='2.0.10 or later'
fi
rm -f conftest*
fi
-
-echo "$ac_t""$libc_cv_linux2010" 1>&6
+echo "$as_me:$LINENO: result: $libc_cv_linux2010" >&5
+echo "${ECHO_T}$libc_cv_linux2010" >&6
if test "$libc_cv_linux2010" != '2.0.10 or later'; then
- { echo "configure: error: GNU libc requires kernel header files from
+ { { echo "$as_me:$LINENO: error: GNU libc requires kernel header files from
+Linux 2.0.10 or later to be installed before configuring.
+The kernel header files are found usually in /usr/include/asm and
+/usr/include/linux; make sure these directories use files from
+Linux 2.0.10 or later. This check uses <linux/version.h>, so
+make sure that file was built correctly when installing the kernel header
+files. To use kernel headers not from /usr/include/linux, use the
+configure option --with-headers." >&5
+echo "$as_me: error: GNU libc requires kernel header files from
Linux 2.0.10 or later to be installed before configuring.
The kernel header files are found usually in /usr/include/asm and
/usr/include/linux; make sure these directories use files from
Linux 2.0.10 or later. This check uses <linux/version.h>, so
make sure that file was built correctly when installing the kernel header
files. To use kernel headers not from /usr/include/linux, use the
-configure option --with-headers." 1>&2; exit 1; }
+configure option --with-headers." >&2;}
+ { (exit 1); exit 1; }; }
fi
# If the user gave a minimal version number test whether the available
@@ -116,12 +128,13 @@ case "$machine" in
;;
esac
if test -n "$minimum_kernel"; then
-
+
user_version=$((`echo "$minimum_kernel.0.0.0" | sed 's/\([0-9]*\)\.\([0-9]*\)\.\([0-9]*\).*/\1 \* 65536 + \2 \* 256 + \3/'`))
arch_version=$((`echo "$arch_minimum_kernel.0.0.0" | sed 's/\([0-9]*\)\.\([0-9]*\)\.\([0-9]*\).*/\1 \* 65536 + \2 \* 256 + \3/'`))
-
+
if test $user_version -lt $arch_version; then
- echo "configure: warning: minimum kernel version reset to $arch_minimum_kernel" 1>&2
+ { echo "$as_me:$LINENO: WARNING: minimum kernel version reset to $arch_minimum_kernel" >&5
+echo "$as_me: WARNING: minimum kernel version reset to $arch_minimum_kernel" >&2;}
minimum_kernel=$arch_minimum_kernel
fi
else
@@ -131,41 +144,43 @@ else
fi
if test -n "$minimum_kernel"; then
- echo $ac_n "checking for kernel header at least $minimum_kernel""... $ac_c" 1>&6
-echo "configure:136: checking for kernel header at least $minimum_kernel" >&5
+ echo "$as_me:$LINENO: checking for kernel header at least $minimum_kernel" >&5
+echo $ECHO_N "checking for kernel header at least $minimum_kernel... $ECHO_C" >&6
decnum=`echo "$minimum_kernel.0.0.0" | sed 's/\([0-9]*\)\.\([0-9]*\)\.\([0-9]*\).*/(\1 * 65536 + \2 * 256 + \3)/'`;
abinum=`echo "$minimum_kernel.0.0.0" | sed 's/\([0-9]*\)\.\([0-9]*\)\.\([0-9]*\).*/\1,\2,\3/'`;
- cat > conftest.$ac_ext <<EOF
-#line 140 "configure"
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
#include "confdefs.h"
#include <linux/version.h>
#if LINUX_VERSION_CODE < $decnum
eat flaming death
#endif
-EOF
+_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
egrep "eat flaming death" >/dev/null 2>&1; then
- rm -rf conftest*
libc_minimum_kernel='too old!'
else
- rm -rf conftest*
libc_minimum_kernel=ok
fi
rm -f conftest*
- echo "$ac_t""$libc_minimum_kernel" 1>&6
+ echo "$as_me:$LINENO: result: $libc_minimum_kernel" >&5
+echo "${ECHO_T}$libc_minimum_kernel" >&6
if test "$libc_minimum_kernel" = ok; then
- cat >> confdefs.h <<EOF
+ cat >>confdefs.h <<_ACEOF
#define __LINUX_KERNEL_VERSION $decnum
-EOF
+_ACEOF
- cat >> confdefs.h <<EOF
+ cat >>confdefs.h <<_ACEOF
#define __ABI_TAG_VERSION $abinum
-EOF
+_ACEOF
else
- { echo "configure: error: *** The available kernel headers are older than the requested
-*** compatible kernel version" 1>&2; exit 1; }
+ { { echo "$as_me:$LINENO: error: *** The available kernel headers are older than the requested
+*** compatible kernel version" >&5
+echo "$as_me: error: *** The available kernel headers are older than the requested
+*** compatible kernel version" >&2;}
+ { (exit 1); exit 1; }; }
fi
fi
@@ -299,8 +314,8 @@ if test $host = $build; then
else
ac_prefix=$ac_default_prefix
fi
- echo $ac_n "checking for symlinks in ${ac_prefix}/include""... $ac_c" 1>&6
-echo "configure:304: checking for symlinks in ${ac_prefix}/include" >&5
+ echo "$as_me:$LINENO: checking for symlinks in ${ac_prefix}/include" >&5
+echo $ECHO_N "checking for symlinks in ${ac_prefix}/include... $ECHO_C" >&6
ac_message=
if test -L ${ac_prefix}/include/net; then
ac_message="$ac_message
@@ -311,11 +326,17 @@ echo "configure:304: checking for symlinks in ${ac_prefix}/include" >&5
${ac_prefix}/include/scsi is a symlink"
fi
if test -n "$ac_message"; then
- { echo "configure: error: $ac_message
+ { { echo "$as_me:$LINENO: error: $ac_message
+\`make install' will destroy the target of the link(s).
+Delete the links and re-run configure, or better still, move the entire
+${ac_prefix}/include directory out of the way." >&5
+echo "$as_me: error: $ac_message
\`make install' will destroy the target of the link(s).
Delete the links and re-run configure, or better still, move the entire
-${ac_prefix}/include directory out of the way." 1>&2; exit 1; }
+${ac_prefix}/include directory out of the way." >&2;}
+ { (exit 1); exit 1; }; }
else
- echo "$ac_t""ok" 1>&6
+ echo "$as_me:$LINENO: result: ok" >&5
+echo "${ECHO_T}ok" >&6
fi
fi